## ipset 2.2.9a

=== Makefile ===
#!/usr/bin/make

######################################################################
# YOU SHOULD NOT NEED TO TOUCH ANYTHING BELOW THIS LINE
######################################################################

ifndef KERNEL_DIR
KERNEL_DIR=/usr/src/linux
endif

IPSET_VERSION:=2.2.9a

PREFIX:=/usr/local
LIBDIR:=$(PREFIX)/lib
BINDIR:=$(PREFIX)/sbin
MANDIR:=$(PREFIX)/man
INCDIR:=$(PREFIX)/include
IPSET_LIB_DIR:=$(LIBDIR)/ipset

# directory for new iptables releases
RELEASE_DIR:=/tmp

COPT_FLAGS:=-O2
CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -I$(KERNEL_DIR)/include -I. # -g -DIPSET_DEBUG #-pg # -DIPTC_DEBUG
SH_CFLAGS:=$(CFLAGS) -fPIC
SETTYPES:=ipmap portmap macipmap iphash nethash iptree ipporthash

PROGRAMS=ipset
SHARED_LIBS=$(foreach T, $(SETTYPES),libipset_$(T).so)
INSTALL=$(DESTDIR)$(BINDIR)/ipset $(DESTDIR)$(MANDIR)/man8/ipset.8
INSTALL+=$(foreach T, $(SETTYPES), $(DESTDIR)$(LIBDIR)/ipset/libipset_$(T).so)

all: $(PROGRAMS) $(SHARED_LIBS)

install: all $(INSTALL)

clean: $(EXTRA_CLEANS)
	rm -rf $(PROGRAMS) $(SHARED_LIBS) *.o *~

#The ipset(8) self
ipset.o: ipset.c
	$(CC) $(CFLAGS) -DIPSET_VERSION=\"$(IPSET_VERSION)\" -DIPSET_LIB_DIR=\"$(IPSET_LIB_DIR)\" -c -o $@ $<

ipset: ipset.o
	$(CC) $(CFLAGS) -ldl -rdynamic -o $@ $^

#Pooltypes
ipset_%.o: ipset_%.c
	$(CC) $(SH_CFLAGS) -o $@ -c $<

libipset_%.so: ipset_%.o
	$(LD) -shared -o $@ $<

$(DESTDIR)$(LIBDIR)/ipset/libipset_%.so: libipset_%.so
	@[ -d $(DESTDIR)$(LIBDIR)/ipset ] || mkdir -p $(DESTDIR)$(LIBDIR)/ipset
	cp $< $@

$(DESTDIR)$(BINDIR)/ipset: ipset
	@[ -d $(DESTDIR)$(BINDIR) ] || mkdir -p $(DESTDIR)$(BINDIR)
	cp $< $@

$(DESTDIR)$(MANDIR)/man8/ipset.8: ipset.8
	@[ -d $(DESTDIR)$(MANDIR)/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/man8
	cp $< $@

## ipset 2.3.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 KERNEL_DIR=/usr/src/linux
 endif
 
-IPSET_VERSION:=2.2.9a
+IPSET_VERSION:=2.3.0
 
 PREFIX:=/usr/local
 LIBDIR:=$(PREFIX)/lib
@@ -21,9 +21,9 @@
 RELEASE_DIR:=/tmp
 
 COPT_FLAGS:=-O2
-CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -I$(KERNEL_DIR)/include -I. # -g -DIPSET_DEBUG #-pg # -DIPTC_DEBUG
+CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -I$(KERNEL_DIR)/include -I. -g -DIPSET_DEBUG #-pg # -DIPTC_DEBUG
 SH_CFLAGS:=$(CFLAGS) -fPIC
-SETTYPES:=ipmap portmap macipmap iphash nethash iptree ipporthash
+SETTYPES:=ipmap portmap macipmap iphash nethash iptree iptreemap ipporthash
 
 PROGRAMS=ipset
 SHARED_LIBS=$(foreach T, $(SETTYPES),libipset_$(T).so)

## ipset 2.3.3

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,14 @@
 ifndef KERNEL_DIR
 KERNEL_DIR=/usr/src/linux
 endif
+ifndef IP_NF_SET_MAX
+IP_NF_SET_MAX=256
+endif
+ifndef IP_NF_SET_HASHSIZE
+IP_NF_SET_HASHSIZE=1024
+endif
 
-IPSET_VERSION:=2.3.0
+IPSET_VERSION:=2.3.3
 
 PREFIX:=/usr/local
 LIBDIR:=$(PREFIX)/lib
@@ -21,7 +27,7 @@
 RELEASE_DIR:=/tmp
 
 COPT_FLAGS:=-O2
-CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -I$(KERNEL_DIR)/include -I. -g -DIPSET_DEBUG #-pg # -DIPTC_DEBUG
+CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -Ikernel/include -I. # -g -DIPSET_DEBUG #-pg # -DIPTC_DEBUG
 SH_CFLAGS:=$(CFLAGS) -fPIC
 SETTYPES:=ipmap portmap macipmap iphash nethash iptree iptreemap ipporthash
 
@@ -30,12 +36,35 @@
 INSTALL=$(DESTDIR)$(BINDIR)/ipset $(DESTDIR)$(MANDIR)/man8/ipset.8
 INSTALL+=$(foreach T, $(SETTYPES), $(DESTDIR)$(LIBDIR)/ipset/libipset_$(T).so)
 
-all: $(PROGRAMS) $(SHARED_LIBS)
+all: binaries modules
 
-install: all $(INSTALL)
+.PHONY: tests
+
+tests:
+	cd tests; ./runtest.sh
+
+binaries: $(PROGRAMS) $(SHARED_LIBS)
+
+binaries_install: binaries $(INSTALL)
+
+patch_kernel:
+	cd kernel; ./patch_kernel $(KERNEL_DIR)
+
+modules:
+	@[ ! -f $(KERNEL_DIR)/net/ipv4/netfilter/Config.in ] || (echo "Error: The directory '$(KERNEL_DIR)' looks like a Linux 2.4.x kernel source tree, you have to patch it by 'make patch_kernel'." && exit 1)
+	@[ -f $(KERNEL_DIR)/net/ipv4/netfilter/Kconfig ] || (echo "Error: The directory '$(KERNEL_DIR)' doesn't look like a Linux 2.6.x kernel source tree." && exit 1)
+	@[ -f $(KERNEL_DIR)/.config ] || (echo "Error: The kernel source in '$(KERNEL_DIR)' must be configured" && exit 1)
+	@[ -f $(KERNEL_DIR)/Module.symvers ] || echo "Warning: You should run 'make modules' in '$(KERNEL_DIR)' beforehand"
+	cd kernel; make -C $(KERNEL_DIR) M=`pwd` IP_NF_SET_MAX=$(IP_NF_SET_MAX) IP_NF_SET_HASHSIZE=$(IP_NF_SET_HASHSIZE) modules
+
+modules_install: modules
+	cd kernel; make -C $(KERNEL_DIR) M=`pwd` modules_install
+
+install: binaries_install modules_install
 
 clean: $(EXTRA_CLEANS)
 	rm -rf $(PROGRAMS) $(SHARED_LIBS) *.o *~
+	[ -f $(KERNEL_DIR)/net/ipv4/netfilter/Config.in ] || (cd kernel; make -C $(KERNEL_DIR) M=`pwd` clean)
 
 #The ipset(8) self
 ipset.o: ipset.c

=== kernel/Makefile ===
ifneq ($(KERNELRELEASE),)
include Kbuild
else
KERNELDIR := /lib/modules/`uname -r`/build
all::
	$(MAKE) -C $KERNELDIR M=`pwd` $@
endif

## ipset 2.5.0

=== Makefile ===
--- 
+++ 
@@ -7,14 +7,20 @@
 ifndef KERNEL_DIR
 KERNEL_DIR=/usr/src/linux
 endif
+ifndef KBUILD_OUTPUT
+KBUILD_OUTPUT=$(KERNEL_DIR)
+endif
 ifndef IP_NF_SET_MAX
 IP_NF_SET_MAX=256
 endif
 ifndef IP_NF_SET_HASHSIZE
 IP_NF_SET_HASHSIZE=1024
 endif
+ifndef V
+V=0
+endif
 
-IPSET_VERSION:=2.3.3
+IPSET_VERSION:=2.5.0
 
 PREFIX:=/usr/local
 LIBDIR:=$(PREFIX)/lib
@@ -27,9 +33,42 @@
 RELEASE_DIR:=/tmp
 
 COPT_FLAGS:=-O2
-CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -Ikernel/include -I. # -g -DIPSET_DEBUG #-pg # -DIPTC_DEBUG
+WARN_FLAGS:=-Wall
+EXTRA_WARN_FLAGS:=\
+	-Wextra \
+	-Waggregate-return \
+	-Wbad-function-cast \
+	-Wcast-align \
+	-Wformat=2 \
+	-Wfloat-equal \
+	-Winit-self \
+	-Winline \
+	-Wmissing-declarations \
+	-Wmissing-prototypes \
+	-Wnested-externs \
+	-Wold-style-definition \
+	-Wpacked \
+	-Wredundant-decls \
+	-Wshadow \
+	-Wsign-compare \
+	-Wstrict-prototypes \
+	-Wswitch-default \
+	-Wswitch-enum \
+	-Wundef \
+	-Wwrite-strings \
+	-Wno-missing-field-initializers \
+	-Werror
+
+ifndef NO_EXTRA_WARN_FLAGS
+WARN_FLAGS+=$(EXTRA_WARN_FLAGS)
+endif
+
+CFLAGS:=$(COPT_FLAGS) $(WARN_FLAGS) -Ikernel/include -I. # -g -DIPSET_DEBUG #-pg
 SH_CFLAGS:=$(CFLAGS) -fPIC
-SETTYPES:=ipmap portmap macipmap iphash nethash iptree iptreemap ipporthash
+SETTYPES:=ipmap portmap macipmap
+SETTYPES+=iptree iptreemap
+SETTYPES+=iphash nethash ipporthash ipportiphash ipportnethash
+SETTYPES+=setlist
 
 PROGRAMS=ipset
 SHARED_LIBS=$(foreach T, $(SETTYPES),libipset_$(T).so)
@@ -53,32 +92,32 @@
 modules:
 	@[ ! -f $(KERNEL_DIR)/net/ipv4/netfilter/Config.in ] || (echo "Error: The directory '$(KERNEL_DIR)' looks like a Linux 2.4.x kernel source tree, you have to patch it by 'make patch_kernel'." && exit 1)
 	@[ -f $(KERNEL_DIR)/net/ipv4/netfilter/Kconfig ] || (echo "Error: The directory '$(KERNEL_DIR)' doesn't look like a Linux 2.6.x kernel source tree." && exit 1)
-	@[ -f $(KERNEL_DIR)/.config ] || (echo "Error: The kernel source in '$(KERNEL_DIR)' must be configured" && exit 1)
-	@[ -f $(KERNEL_DIR)/Module.symvers ] || echo "Warning: You should run 'make modules' in '$(KERNEL_DIR)' beforehand"
-	cd kernel; make -C $(KERNEL_DIR) M=`pwd` IP_NF_SET_MAX=$(IP_NF_SET_MAX) IP_NF_SET_HASHSIZE=$(IP_NF_SET_HASHSIZE) modules
+	@[ -f $(KBUILD_OUTPUT)/.config ] || (echo "Error: The kernel source in '$(KERNEL_DIR)' must be configured" && exit 1)
+	@[ -f $(KBUILD_OUTPUT)/Module.symvers ] || echo "Warning: You should run 'make modules' in '$(KERNEL_DIR)' beforehand"
+	cd kernel; make -C $(KBUILD_OUTPUT) M=`pwd` V=$V IP_NF_SET_MAX=$(IP_NF_SET_MAX) IP_NF_SET_HASHSIZE=$(IP_NF_SET_HASHSIZE) modules
 
 modules_install: modules
-	cd kernel; make -C $(KERNEL_DIR) M=`pwd` modules_install
+	cd kernel; make -C $(KBUILD_OUTPUT) M=`pwd` modules_install
 
 install: binaries_install modules_install
 
 clean: $(EXTRA_CLEANS)
-	rm -rf $(PROGRAMS) $(SHARED_LIBS) *.o *~
+	rm -rf $(PROGRAMS) $(SHARED_LIBS) *.o *~ tests/*~
 	[ -f $(KERNEL_DIR)/net/ipv4/netfilter/Config.in ] || (cd kernel; make -C $(KERNEL_DIR) M=`pwd` clean)
 
 #The ipset(8) self
-ipset.o: ipset.c
+ipset.o: ipset.c ipset.h
 	$(CC) $(CFLAGS) -DIPSET_VERSION=\"$(IPSET_VERSION)\" -DIPSET_LIB_DIR=\"$(IPSET_LIB_DIR)\" -c -o $@ $<
 
 ipset: ipset.o
-	$(CC) $(CFLAGS) -ldl -rdynamic -o $@ $^
+	$(CC) $(CFLAGS) $(LDFLAGS) -rdynamic -o $@ $^ -ldl
 
 #Pooltypes
-ipset_%.o: ipset_%.c
+ipset_%.o: ipset_%.c ipset.h
 	$(CC) $(SH_CFLAGS) -o $@ -c $<
 
 libipset_%.so: ipset_%.o
-	$(LD) -shared -o $@ $<
+	$(CC) -shared $(LDFLAGS) -o $@ $<
 
 $(DESTDIR)$(LIBDIR)/ipset/libipset_%.so: libipset_%.so
 	@[ -d $(DESTDIR)$(LIBDIR)/ipset ] || mkdir -p $(DESTDIR)$(LIBDIR)/ipset

=== kernel/Makefile ===
--- 
+++ 
@@ -4,4 +4,13 @@
 KERNELDIR := /lib/modules/`uname -r`/build
 all::
 	$(MAKE) -C $KERNELDIR M=`pwd` $@
+
+expand_macros: $(patsubst %.c, %.m.c, $(filter-out %.mod.c %.m.c, $(wildcard ip_set_*.c)))
+
+%.m.c: %.c
+	./expand_macros.pl < $< > $@
+
+clean:
+	rm -rf *.m.c
+
 endif

## ipset 6.11

=== debian/changelog ===
ipset (6.11-2) unstable; urgency=low

  * Update debian/control
    * debian/control:
      - Bump Standards-Version to 3.9.3, no changes needed.
      - Change Architecture to linux-any as iptables only supports linux.
        (Closes: #647656 - uninstallable on kfreebsd-amd64)
      - Add iptables to ipset dependency.
  * Bump dh compat to 9
    * debian/compat, debian/control: Bump dh compat to 9.
    * debian/rules:
      - Simplify hardening build flags and multiarch support logic.
  * Update copyright format url to version 1.0

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 28 Feb 2012 09:56:38 +0700

ipset (6.11-1) unstable; urgency=low

  (Closes: #656343)

  [ Neutron Soutmun ]
  * Imported Upstream version 6.11
  * Switch to 3.0 (quilt) Debian source format
  * Update compat level and control files
    * debian/compat:
      - Bump compat level to 8.
    * debian/control:
      - Update me as the maintainer.
      - Bump Standards-Version to 3.9.2, no changes needed.
      - Add/update build-deps:
        * Update debhelper (>= 8.1.3~) and add dpkg-dev (>= 1.16.1~)
          to support multiarch builds and get hardening build flags on
          dpkg-buildflags is being invoked.
        * Add dh-autoreconf.
        * libmnl-dev  which is required by ipset utility.
        * Add pkg-config which is required by configure script to check
          whether the libmnl has already been installed.
      - Add Homepage.
      - Add Vcs-{Browser,Git} point to Alioth.
      - The ipset package should conflicts the xtables-addons-common which
        also provides the ipset utility binary.
      - Add more packages:
        * libipset-dev, libipset2 which provide the runtime/development
          libraries and header files. (MultiArch supported)
      - Update the descriptions.
    * debian/control.modules:
      - Drop as the ipset already included in the mainline kernel, no needs
        to build as the modules.
    * debian/README.Debian:
      - Drop outdated Debian readme file.
  * Update rules and drop rules.modules
    * debian/rules:
      - Using new debhelper build rules set.
      - Get DEB_HOST_MULTIARCH which is required by libipset for MultiArch
        support.
      - Set hardening build flags by using dpkg-buildflags to exports the
        compilation flags and override the dh_auto_configure.
      - Set --libdir to comply with MultiArch by using DEB_HOST_MULTIARCH.
    * debian/rules.modules:
      - Drop as unneeded.
  * Add installation files for each package
    * debian/ipset.{install,docs,manpages}:
      - Install binary, documents and manpages.
    * debian/libipset{2,-dev}:
      - Install runtime/development libraries and header files.
  * Update copyright file to DEP-5 format
  * Add patch to build ipset against shared libs
    * debian/patches/99-ipset-shared-libs.patch, debian/patches/series:
      - Add patch.
  * Drop unnecessary lintian override file
  * Add watch file
  * Drop unused override_dh_auto_clean from rules

  [ Dmitry Smirnov <onlyjob@member.fsf.org> ]
  * debian/copyright: correct DEP-5 format URL
  * preparing for coordinated upload with xtables-addons 1.41
  * adding forgotten debian/changelog
  * tightening depends on libipset
  * adding libmnl-dev to libipset-dev build-deps

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sat, 04 Feb 2012 14:44:50 +0700

ipset (2.5.0-1) unstable; urgency=low

  * New upstream release; closes: #503683.
  * Ship ipset-source kernel modules package.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 09 May 2009 18:17:13 -0400

ipset (2.3.3-1) unstable; urgency=low

  * New upstream release; closes: #481382.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 19 Jul 2008 20:56:33 -0400

ipset (2.3.0-1) unstable; urgency=low

  * New upstream release with iptreemap support; closes: #445389.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 08 Oct 2007 12:09:11 -0400

ipset (2.2.9a-1) unstable; urgency=low

  * New upstream release which removes dependencies on kernel headers;
    closes: #389860.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 14 Oct 2006 22:10:46 -0400

ipset (2.2.9-1) unstable; urgency=low

  * Initial release, closes: #380148.
  * Header files from patch-o-matic-ng were extracted from netfilter.org
    sources and placed in the ipset source package to avoid the need for an
    extracted Linux kernel tree with the ipset patches in order to build.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 27 Aug 2006 13:56:39 -0400

=== debian/control ===
Source: ipset
Section: net
Priority: extra
Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 dpkg-dev (>= 1.16.1~),
 libmnl-dev,
 pkg-config
Standards-Version: 3.9.3
Homepage: http://ipset.netfilter.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
Vcs-Git: git://git.debian.org/collab-maint/ipset.git

Package: ipset
Architecture: linux-any
Depends: iptables, ${misc:Depends}, ${shlibs:Depends}
Provides: ipset-${source:Upstream-Version}
Breaks: xtables-addons-common (<< 1.41~)
Description: administration tool for kernel IP sets
 IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
 administered by the ipset(8) utility. Depending on the type, currently an
 IP set may store IP addresses, (TCP/UDP) port numbers or IP addresses with
 MAC addresses in a  way which ensures lightning speed when matching an
 entry against a set.
 .
 If you want to
 .
  * store multiple IP addresses or port numbers and match against the
    entire collection using a single iptables rule.
  * dynamically update iptables rules against IP addresses or ports without
    performance penalty.
  * express complex IP address and ports based rulesets with a single
    iptables rule and benefit from the speed of IP sets.
 .
 then IP sets may be the proper tool for you.

Package: libipset-dev
Section: libdevel
Architecture: linux-any
Depends: libipset2 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
Description: Development files for IP sets
 IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
 administered by the ipset(8) utility. Depending on the type, currently an
 IP set may store IP addresses, (TCP/UDP) port numbers or IP addresses with
 MAC addresses in a  way which ensures lightning speed when matching an
 entry against a set.
 .
 If you want to
 .
  * store multiple IP addresses or port numbers and match against the
    entire collection using a single iptables rule.
  * dynamically update iptables rules against IP addresses or ports without
    performance penalty.
  * express complex IP address and ports based rulesets with a single
    iptables rule and benefit from the speed of IP sets.
 .
 then IP sets may be the proper tool for you.
 .
 This package contains the development libraries and header files you need to
 develop your programs using the IP sets library.

Package: libipset2
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: IP sets library
 IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
 administered by the ipset(8) utility. Depending on the type, currently an
 IP set may store IP addresses, (TCP/UDP) port numbers or IP addresses with
 MAC addresses in a  way which ensures lightning speed when matching an
 entry against a set.
 .
 If you want to
 .
  * store multiple IP addresses or port numbers and match against the
    entire collection using a single iptables rule.
  * dynamically update iptables rules against IP addresses or ports without
    performance penalty.
  * express complex IP address and ports based rulesets with a single
    iptables rule and benefit from the speed of IP sets.
 .
 then IP sets may be the proper tool for you.
 .
 This package contains the shared libraries needed to run programs that use
 the IP sets library.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-kmod=no

PKGCONFIG_INSTDIR := debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
override_dh_auto_install:
	mkdir -p $(PKGCONFIG_INSTDIR)
	cp lib/libipset.pc $(PKGCONFIG_INSTDIR)
	dh_auto_install

override_dh_makeshlibs:
	dh_makeshlibs -V

## ipset 6.12.1

=== debian/changelog ===
ipset (6.12.1-1) unstable; urgency=low

  * Imported Upstream version 6.12.1
  * debian/patches/99-ipset-shared-libs.patch:
    - Drop as the upstream provides the configuration parameters to force
      the ipset binary to link with shared lib.
  * debian/patches/90-fix-typo.patch: Add typo fix
  * Enable settype dynamic modules support
    * debian/rules:
      - Add --enable-settype-modules to configure.
        All settype modules still build as static which included in libipset
        as usual but the ipset binary could runtime load the additional modules
        installed at /usr/lib/[arch triplet]/ipset.
    * debian/control:
      - Add libltdl-dev to build-dep.
  * debian/libipset2.symbols: Add symbols file
  * debian/control:
      - Set debhelper (>= 9.20120115~). (thanks, Arno Töll)
      - Drop dh-autoreconf from build-deps as it's unnecessary.
        (thanks, Arno Töll)
      - Adjust the packages description which should not start with capital
        letter. (thanks, Arno Töll)
  * debian/rules: Drop autoreconf addon from debhelper configuration.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 10 May 2012 23:48:56 +0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 9.20120115~),
  dpkg-dev (>= 1.16.1~),
+ libltdl-dev,
  libmnl-dev,
  pkg-config
 Standards-Version: 3.9.3
@@ -40,7 +40,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libipset2 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
-Description: Development files for IP sets
+Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
  IP set may store IP addresses, (TCP/UDP) port numbers or IP addresses with
@@ -66,7 +66,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Description: IP sets library
+Description: library for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
  IP set may store IP addresses, (TCP/UDP) port numbers or IP addresses with

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-kmod=no
+	dh_auto_configure -- --with-kmod=no --enable-settype-modules
 
 PKGCONFIG_INSTDIR := debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 override_dh_auto_install:

## ipset 6.19

=== debian/changelog ===
ipset (6.19-1) unstable; urgency=low

  * Imported Upstream version 6.19 (upload to unstable)
  * debian/rules, debian/source/options: Switch deb compression to bzip2
  * debian/libipset3.symbols: Update, upstream add new symbol.
  * Add patches to fix
    * d/p/01-Set-extglob-shell-option-in-global-scoped.patch:
      - Fix bash completion syntax error.
    * d/p/02-Fix-hyphen-used-as-minus-sign-in-manpage.patch:
      - Fix hyphen used as minus sign in manpage.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 10 May 2013 11:49:31 +0700

ipset (6.18-2) experimental; urgency=low

  * Get library so version on build-time instead of hardcoded
    * debian/rules:
      - Get library so version on build-time and passing to
        dh_link for symlinks installation.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 24 Apr 2013 16:02:52 +0700

ipset (6.18-1) experimental; urgency=low

  * Imported Upstream version 6.18

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 16 Apr 2013 09:14:50 +0700

ipset (6.17-1) experimental; urgency=low

  * Imported Upstream version 6.17
  * Add dh-autoreconf to fix lintian warning
    * debian/control, debian/rules:
      - Add dh-autoreconf to fix the lintian warning
        (outdated-autotools-helper-file)
  * debian/{rules,ipset.install}: Install ipset bash completion.
  * debian/copyright: Update copyright years.
  * debian/rules: Disable silent rules

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 28 Feb 2013 10:03:44 +0700

ipset (6.16.1-1) experimental; urgency=low

  * Imported Upstream version 6.16.1
  * Bump debian-news entry version to 6.14-2
    * debian/NEWS:
      - Bump entry version to 6.14-2 to satisfy lintian as 6.14-1 is
        no longer exists.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 16 Jan 2013 08:47:50 +0700

ipset (6.14-2) experimental; urgency=low

  * Imported Upstream version 6.14
  * Bump standard-versions to 3.9.4, no changes needed
  * Move ipset and lib to /sbin and /lib/[arch triplet] respectively
    * debian/rules, debian/{ipset,libipset2,libipset-dev}.install:
      - Move ipset and lib to the path which independent of /usr.
        It should setup the *set* correctly even the system could not mount
        /usr as same as the iptables does.
        (thanks to Henrique de Moraes Holschuh for suggestion)
  * Add debian/NEWS
    - Inform the users that ipset and lib have been moved to /sbin and
      /lib/[arch triplet] respectively and it does not support the /usr not
      mounted yet until the libmnl moves their library to /lib.
  * Add -fstack-protector-all to CFLAGS
    * debian/rules:
      - Add -fstack-protector-all to CFLAGS to force ipset binary hardened
        with stack protector properly.
  * Bump the package name to libipset3 as SONAME changes
  * Install static libs and so symlink in /usr/lib/<arch-triplet>

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 25 Sep 2012 10:17:04 +0700

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
 Build-Depends:
  debhelper (>= 9.20120115~),
+ dh-autoreconf,
+ dh-exec (>= 0.3),
  dpkg-dev (>= 1.16.1~),
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
 Vcs-Git: git://git.debian.org/collab-maint/ipset.git
@@ -39,7 +41,7 @@
 Package: libipset-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libipset2 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
+Depends: libipset3 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
 Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
@@ -61,7 +63,7 @@
  This package contains the development libraries and header files you need to
  develop your programs using the IP sets library.
 
-Package: libipset2
+Package: libipset3
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}

## ipset 6.20.1

=== debian/changelog ===
ipset (6.20.1-1) unstable; urgency=low

  * Imported Upstream version 6.20.1
  * Drop d/p/02-Fix-hyphen-used-as-minus-sign-in-manpage.patch, fixed upstream
  * debian/libipset3.symbols: Update symbols file
  * Update Vcs-Git field to canonical URI

 -- Neutron Soutmun <neo.neutron@gmail.com>  Mon, 28 Oct 2013 10:35:36 +0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Standards-Version: 3.9.4
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
-Vcs-Git: git://git.debian.org/collab-maint/ipset.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
 
 Package: ipset
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

_configure := --sbindir=/sbin --libdir=/lib/$(DEB_HOST_MULTIARCH) \
	--with-kmod=no --enable-settype-modules --disable-silent-rules

CFLAGS += -fstack-protector-all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(_configure)

PKGCONFIG_INSTDIR := debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
BASHCOMPL_INSTDIR := debian/tmp/etc/bash_completion.d
override_dh_auto_install:
	mkdir -p $(PKGCONFIG_INSTDIR)
	cp lib/libipset.pc $(PKGCONFIG_INSTDIR)
	mkdir -p $(BASHCOMPL_INSTDIR)
	install --mode=0755 utils/ipset_bash_completion/ipset_bash_completion \
	  $(BASHCOMPL_INSTDIR)/ipset
	dh_auto_install

override_dh_link:
	LIBIPSET_SO_VER=$(shell basename $(CURDIR)/debian/tmp/lib/*/libipset.so.*.* | sed 's/.*\.so\.\(.*\)/\1/') \
	dh_link

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

## ipset 6.21.1

=== debian/changelog ===
ipset (6.21.1-2) unstable; urgency=low

  * Add tests follow the DEP8
    * debian/control:
      - Add XS-Testsuite: autopkgtest
    * debian/tests/control:
      - Add test control file
    * debian/tests/regression:
      - Add regression test wrapper for tests/runtest.sh
  * Add a patch to make the test scripts run in "as-installed" situation
    * d/patches/03-Pass-IPSET_BIN-to-test-scripts-to-change-binary-loca.patch:
      - It is required to make the test scripts run in "as-installed"
        situation, the scripts should invokes the system installed "ipset"
        binary.
  * Add a patch to drop unsupported module test
    * debian/patches/03-temporary-drop-ipmarkhash-test.patch:
      - Temporary drop the ipmarkhash test as the Debian kernel is not
        support yet.
  * Add a patch to delay the set with timeout resizing test
    * debian/patches/05-delay-the-set-with-timeout-resizing-test.patch:
      - The set with timeout resizing sometimes finish early, the condition
        fail with false-positive. Add 1 more second delay to satisfy the
        condition check.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 04 Apr 2014 16:23:02 +0700

ipset (6.21.1-1) unstable; urgency=low

  * Imported Upstream version 6.21.1
  * Drop a patch that has been merged upstream
    * debian/patches/01-Set-extglob-shell-option-in-global-scoped.patch:
      - Drop, merged upstream.
  * Bump Standards-Version to 3.9.5, no changes needed
  * Add lintian-overrides
    * debian/lintian-overrides:
      - Overrides "ipset: shell-script-fails-syntax-check
        etc/bash_completion.d/ipset", false-positives as the script using
        "extglob"
  * Update symbols file
  * debian/patches/01-fix-grammar-error-in-manpage.patch:
    - Replace Allows_to with Allows_one_to.
  * debian/patches/02-fix-printf-format-warning.patch:
    - Fix printf format warning.
  * Switch debian package compression to xz

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sat, 08 Mar 2014 13:06:49 +0700

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
+XS-Testsuite: autopkgtest
 
 Package: ipset
 Architecture: linux-any

## ipset 6.23

=== debian/changelog ===
ipset (6.23-2) unstable; urgency=medium

  * Make libipset3 package go to the "libs" section
    * debian/control:
      - libipset3 should be the "libs" section instead of "net".
        Thanks to Christoph Anton Mitterer. (Closes: #762847)

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 26 Sep 2014 08:45:42 +0700

ipset (6.23-1) unstable; urgency=medium

  * Imported Upstream version 6.23
  * Drop patches, merged upstream
    * d/p/01-fix-grammar-error-in-manpage.patch,
      d/p/02-fix-printf-format-warning.patch,
      d/p/03-Pass-IPSET_BIN-to-test-scripts-to-change-binary-loca.patch:
      - Drop, merged upstream.
    * d/p/04-temporary-drop-ipmarkhash-test.patch:
      - Kernel shipped with Debian already support the ipmarkhash module.
  * Update Debian symbols file
  * Explicitly add tests list to debian regression test
    * debian/tests/regression:
      - There are some ipset modules that Debian does not support in the
        current Linux kernel and the patch apply to the source test script
        is an inconvenient way. Therefore, add tests list to the debian
        regression test file is easy and maintainable.
  * Add patch
    * debian/patches/fix-hyphen-used-as-minus-sign-in-manpage.patch:
      - Fix hyphen used as minus sign in manpage.
  * debian/copyright: Update copyright years

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 17 Sep 2014 10:04:15 +0700

=== debian/control ===
--- 
+++ 
@@ -65,6 +65,7 @@
  develop your programs using the IP sets library.
 
 Package: libipset3
+Section: libs
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
-
-override_dh_builddeb:
-	dh_builddeb -- -Zbzip2

=== debian/tests/control ===
Tests: regression
Depends:
 @,
 autopkgtest,
 sendip
Restrictions: needs-root isolation-machine allow-stderr

## ipset 6.24

=== debian/changelog ===
ipset (6.24-1) unstable; urgency=medium

  * Imported Upstream version 6.24
  * Drop a patch
    * debian/patches/fix-hyphen-used-as-minus-sign-in-manpage.patch:
      - Dropped, merged upstream.
  * Bump standards-version to 3.9.6, no changes needed
  * Update debian symbols file

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 02 Jan 2015 08:53:11 +0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git

## ipset 6.25.1

=== debian/changelog ===
ipset (6.25.1-1) unstable; urgency=medium

  * Imported Upstream version 6.25.1
  * Refresh patch
    * debian/patches/05-delay-the-set-with-timeout-resizing-test.patch
  * Drop XS-Testsuite: autopkgtest
    * As of dpkg 1.17.11, this field is automaticall added by dpkg-source
      with the value "autopkgtest" if there is a non-empty
      debian/tests/control.
  * Install ipset bash completion to new location
    * debian/rules, debian/ipset.install, debian/lintian-overrides: 
      - Install ipset bash completion to
        /usr/share/bash-completion/completions
        See: https://bugs.debian.org/776954
  * Proposed small wording in manpage has been merged upstream.
    Closes: #780336
  * Add fix grammar error in manpage patch
    * debian/patches/Fix-grammar-error-in-manpage.patch:
      - Fix "allow_to" to "allows_one_to"

 -- Neutron Soutmun <neo.neutron@gmail.com>  Mon, 20 Jul 2015 14:24:30 +0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Homepage: http://ipset.netfilter.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
-XS-Testsuite: autopkgtest
 
 Package: ipset
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh_auto_configure -- $(_configure)
 
 PKGCONFIG_INSTDIR := debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
-BASHCOMPL_INSTDIR := debian/tmp/etc/bash_completion.d
+BASHCOMPL_INSTDIR := debian/tmp/usr/share/bash-completion/completions
 override_dh_auto_install:
 	mkdir -p $(PKGCONFIG_INSTDIR)
 	cp lib/libipset.pc $(PKGCONFIG_INSTDIR)

## ipset 6.29

=== debian/changelog ===
ipset (6.29-1) unstable; urgency=medium

  * Imported Upstream version 6.29
  * Drop a patch
    * debian/patches/10-fix-link-with-libtool-2.4.4.patch:
      - It's included in the new upstream release
  * Upstream rename the ipset bash completion
    * debian/rules:
      - In utils/ipset_bash_completion/, the upstream rename
        "ipset_bash_completion" with "ipset", update accordingly.
  * Bump Standards-Version, update Vcs-* with secure-uri
    * Bump Standards-Version to 3.9.7, no changes needed
    * Update Vcs-* with secure-uri
  * Adjust upstream's test scripts to work with Debian
    * debian/patches/adjust-test-scripts-for-debian.patch:
      - Drop missing lines in the results that the current Debian Linux
        kernel does not support yet.
      - Adjust some size, memory size and line count in the expected results
        to match the actual results.
    * debian/tests/control:
      - The test requires "netmask" package

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 18 Mar 2016 07:54:18 +0700

ipset (6.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with newer libtool. (Closes: #814582)
    - add debian/patches/10-fix-link-with-libtool-2.4.4.patch

 -- Chris Boot <bootc@debian.org>  Sat, 20 Feb 2016 16:00:10 +0000

ipset (6.27-1) unstable; urgency=medium

  * Imported Upstream version 6.27

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sat, 14 Nov 2015 07:58:23 +0700

ipset (6.26-1) unstable; urgency=medium

  * Imported Upstream version 6.26
  * debian/patches/Fix-grammar-error-in-manpage.patch: Drop, merged upstream.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 09 Sep 2015 16:57:55 +0700

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://ipset.netfilter.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/ipset.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ipset.git
 
 Package: ipset
 Architecture: linux-any

=== debian/tests/control ===
Tests: regression
Depends:
 @,
 autopkgtest,
 netmask,
 sendip,
Restrictions: needs-root isolation-machine allow-stderr

=== debian/watch ===
version=3
opts=pasv ftp://netfilter.org/pub/ipset/ipset-(.*)\.tar.bz2 debian uupdate

## ipset 6.30

=== debian/changelog ===
ipset (6.30-2ubuntu1) zesty; urgency=medium

  * debian/tests/control: Add missing kmod and netbase test dependencies,
    and remove the completely unnecessary test dependency on autopkgtest.
  * Drop adjust-test-scripts-for-debian.patch, our kernel is new enough.
  * debian/patches/test-installed.patch: Broken out from the above patch.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Apr 2017 06:25:34 -0600

ipset (6.30-2) unstable; urgency=medium

  * Switch Vcs-Browser to cgit
  * Drop debian/source/local-options
    * The extend-diff-ignore = .gbp.conf is not required anymore

 -- Neutron Soutmun <neutrons@debian.org>  Wed, 30 Nov 2016 09:05:14 +0700

ipset (6.30-1) unstable; urgency=medium

  * New upstream version 6.30
  * Move .gbp.conf to debian/gbp.conf
  * debian/patches/adjust-test-scripts-for-debian.patch: Refresh
  * Change my email to neutrons at debian.org
  * Update debian/copyright
  * Bump Standards-Version to 3.9.8, no changes needed
  * debian/tests/control: Fix testsuite-dependency-has-unparsable-elements

 -- Neutron Soutmun <neutrons@debian.org>  Mon, 28 Nov 2016 21:00:28 +0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ipset
 Section: net
 Priority: extra
-Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
  debhelper (>= 9.20120115~),
  dh-autoreconf,
@@ -10,9 +11,9 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://ipset.netfilter.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ipset.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ipset.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ipset.git
 
 Package: ipset

=== debian/tests/control ===
Tests: regression
Depends: @,
 netmask,
 sendip,
 kmod,
 netbase,
Restrictions: needs-root isolation-machine allow-stderr

## ipset 6.34

=== debian/changelog ===
ipset (6.34-1) unstable; urgency=medium

  * [da82b06] New upstream version 6.34
  * [9cb150f] Drop d/p/fix-ipset-cmd-replacement.patch: Merged upstream
  * [745be35] Bump Standard-Versions to 4.1.1
    * Change package priority from `extra` (deprecated) to `optional`
  * [c0ec139] Update lib new symbols.
  * [5886e8d] Add lintian overrides for
    * ipset source: debian-watch-uses-insecure-uri.
  * [85ee414] Cleanup obsoleted bash completion configuration file.
    Closes: #868097
  * [2606f64] Update d/p/adjust-test-scripts-for-debian.patch
    * All workaround patches are not needed, supported by Debian's kernel.
    * Drop the upstream test case for 'Add more than 2^31 elements in a range',
      It's not yet supported by Debian's kernel.

 -- Neutron Soutmun <neutrons@debian.org>  Thu, 26 Oct 2017 15:53:31 +0700

ipset (6.32-1) unstable; urgency=medium

  * Upload to unstable
  * [22ca89c] d/control: maintainer is now the netfilter team, update VCS-*
  * [ad77df4] d/patches/fix-ipset-cmd-replacement.patch: fix description
  * [04d66a6] d/control: Bump Standards-Version to 4.0.0, no changes needed

 -- Neutron Soutmun <neutrons@debian.org>  Wed, 21 Jun 2017 11:43:07 +0700

ipset (6.32-1~exp2) experimental; urgency=medium

  * Add a patch to fix test failed to run
    * debian/patches/fix-ipset-cmd-replacement.patch:
      - In the upstream test, 'ipset' command should be replaced with
        '/sbin/ipset' but the recent script adds the line of command to
        replace it twice. The patch fixes the second replacement.
  * debian/patches/adjust-test-scripts-for-debian.patch: Refresh the patch
  * Add workaround patch
    * debian/patches/workaround-iphash-delete-one-by-one-test-failed.patch:
      - A workaround patch for iphash delete one-by-one test failed due to
        the bug [1] in the kernel module.
      [1] Fix bug: sometimes valid entries in hash:* types of sets were evicted
          https://git.netfilter.org/ipset/commit/?id=728fed0f689c76cb5cd77499b022764e93d91932
  * Revise test control file and split patch.
    Thanks Adam Conrad for suggestion and initial patch.
    * debian/tests/control:
      - Drop autopkgtest which is unnecessary.
      - Depends on kmod and netbase.
      - Depends on net-tools which the test script requires 'netstat'.
    * debian/patches/adjust-test-scripts-for-debian.patch,
      debian/patches/test-installed.patch:
      - Split Debian's kernel unrelated patch from
        adjust-test-scripts-for-debian.patch to test-installed.patch.
        Make it easy for Ubuntu that has a recent kernel than Debian to just
        drop unnecessary patches. (Closes: #860032)
  * debian/tests/regression: Add hash:mac.t to the list, Debian kernel supported

 -- Neutron Soutmun <neutrons@debian.org>  Wed, 31 May 2017 08:10:22 +0700

ipset (6.32-1~exp1) experimental; urgency=medium

  * New upstream version 6.32
  * debian/control: Add "Multi-Arch: same" to libipset-dev package

 -- Neutron Soutmun <neutrons@debian.org>  Thu, 23 Mar 2017 11:22:00 +0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ipset
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Neutron Soutmun <neutrons@debian.org>
+Priority: optional
+Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
+Uploaders: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
  debhelper (>= 9.20120115~),
  dh-autoreconf,
@@ -11,10 +11,10 @@
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://ipset.netfilter.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ipset.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ipset.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netfilter/pkg-ipset.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-netfilter/pkg-ipset.git
 
 Package: ipset
 Architecture: linux-any
@@ -42,6 +42,7 @@
 Package: libipset-dev
 Section: libdevel
 Architecture: linux-any
+Multi-Arch: same
 Depends: libipset3 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
 Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	mkdir -p $(PKGCONFIG_INSTDIR)
 	cp lib/libipset.pc $(PKGCONFIG_INSTDIR)
 	mkdir -p $(BASHCOMPL_INSTDIR)
-	install --mode=0755 utils/ipset_bash_completion/ipset_bash_completion \
+	install --mode=0755 utils/ipset_bash_completion/ipset \
 	  $(BASHCOMPL_INSTDIR)/ipset
 	dh_auto_install

## ipset 6.38

=== debian/changelog ===
ipset (6.38-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dpkg-maintscript-helper call (Closes: #927722).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2019 10:55:51 +0200

ipset (6.38-1.1) unstable; urgency=medium

  * Non maintainer upload.
  * use dpkg-maintscript-helper rm_conffile to clean up old bash-completion 
    file in /etc (Closes: #927722).

 -- Cyril de Bourgues <cyril.debourgues@infomaniak.com>  Thu, 25 Apr 2019 11:37:45 +0200

ipset (6.38-1) unstable; urgency=medium

  * [b80dcfb] New upstream version 6.38 (Closes: #898851)
  * [01246b1] Update gbp.conf follow the DEP-14 Git packaging repository layout.
  * [db0f7bf] Change library package name to match sonames
    * Change libipset3 to libipset11 to match sonames
    * debian/libipset11.symbols: Update new symbols
  * [58fffb4] Update Vcs-{Browser,Git} with salsa.debian.org.
  * [111675a] Bump debhelper compat level to 11.
  * [e852e62] d/copyright: Update years and Format URL with HTTPS.
  * [02d4ace] Bump Standards-Version to 4.2.1 (no changes)
  * [0eabad0] Update Build-Depends on debhelper 11
    * Update Build-Depends on debhelper (>= 11~)
    * Drop dh-autoreconf, since compatibility level 10, debhelper enables the
      autoreconf sequence by default
  * [090e700] d/p/fix-bash-completion.patch: (Closes: #848940)
    * Add patch to fix ipset bash completion on bash (>= 4.4.18)
      Thanks to Martin Großhauser for the patch

 -- Neutron Soutmun <neutrons@debian.org>  Sun, 02 Sep 2018 00:28:18 +0700

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
 Uploaders: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
- debhelper (>= 9.20120115~),
- dh-autoreconf,
+ debhelper (>= 11~),
  dh-exec (>= 0.3),
  dpkg-dev (>= 1.16.1~),
  libltdl-dev,
  libmnl-dev,
  pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: http://ipset.netfilter.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netfilter/pkg-ipset.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-netfilter/pkg-ipset.git
+Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-ipset
+Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-ipset.git
 
 Package: ipset
 Architecture: linux-any
@@ -43,7 +42,7 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libipset3 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
+Depends: libipset11 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
 Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
@@ -65,7 +64,7 @@
  This package contains the development libraries and header files you need to
  develop your programs using the IP sets library.
 
-Package: libipset3
+Package: libipset11
 Section: libs
 Architecture: linux-any
 Multi-Arch: same

## ipset 7.1

=== debian/changelog ===
ipset (7.1-0ubuntu1) disco; urgency=medium

  * New upstream version, compatible with the new kernel in disco
  * debian/control, debian/libipset13.symbols:
    - updated for the soname change 11 -> 13
  * deian/libipset13.symbols:
    - updated the symbols list

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Mar 2019 11:39:40 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libipset11 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
+Depends: libipset13 (= ${binary:Version}), libmnl-dev, ${misc:Depends}
 Description: development files for IP sets
  IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel which can be
  administered by the ipset(8) utility. Depending on the type, currently an
@@ -64,7 +64,7 @@
  This package contains the development libraries and header files you need to
  develop your programs using the IP sets library.
 
-Package: libipset11
+Package: libipset13
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
